Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019  Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019 
<== Date ==> <== Thread ==>

Subject: Re: Questions about install
From: Maren Purves <m.purves@eaobservatory.org>
To: "Johnson, Andrew N." <anj@anl.gov>
Cc: "tech-talk@aps.anl.gov" <tech-talk@aps.anl.gov>
Date: Thu, 11 Oct 2018 16:55:42 -1000
Thanks Andrew!
As my "fallback version" (using 3.13.8 and a vxWorks crate) of the
equipment monitoring for our new receiver (expected early next year)
is done and I never got the 3.15.5 softIoc fully working (probably
due to not fully understanding the asyn/streamdevice part) I'll
give 3.15.6 a try, hoping I can get the EPICS_BASE and INSTALL_LOCATION
sorted out rather than copying too much stuff from the source tree
into the install tree. And I really like having a
base/configure/CONFIG_SITE.local file rather than editing CONFIG_SITE.

Hoping nothing else breaks and takes away my time again :)

Maren

On 10/11/18 06:12, Johnson, Andrew N. wrote:
Hi Maren,

On Oct 10, 2018, at 4:12 PM, Maren Purves <m.purves@eaobservatory.org <mailto:m.purves@eaobservatory.org>> wrote:

should I start over with 3.15.6? - I started with 3.15.5 some
time earlier this year because it was labeled as the latest
stable release (little did I know that a bunch of other upgrades
in other areas would take a lot longer than anticipated - you
know how these things go).

The functional differences between 3.15.5 and 3.15.6 (including a number of changes pulled from the 3.14 branch) are described in the Release Notes available at https://epics.anl.gov/base/R3-15/6-docs/RELEASE_NOTES.html plus there were a number of bug fixes that didn’t get added to that document (the list is available at https://launchpad.net/epics-base/3.15/3.15.6 towards the bottom of the page should you wish to peruse it). The new stuff is mostly in the “nice to have” category in that they make it easier to do certain things and fix a few gotcha’s. I don’t know how much rework you would have to do, but there are almost 2 years of updates included so I would recommend using the latest if you can afford to do so.

HTH,

- Andrew



References:
Questions about install Lucock, Richard M
Re: Questions about install Jeong Han Lee
Re: Questions about install Lucock, Richard M
Re: Questions about install Maren Purves
Re: Questions about install Johnson, Andrew N.
Re: Questions about install Maren Purves
Re: Questions about install Johnson, Andrew N.

Navigate by Date:
Prev: Re: Questions about install Johnson, Andrew N.
Next: EPICS Application Package Vikram Bhagat via Tech-talk
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019 
Navigate by Thread:
Prev: Re: Questions about install Johnson, Andrew N.
Next: Re: Questions about install Michael Davidsaver
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019 
ANJ, 11 Oct 2018 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· Search · EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·